libftdi 0.20

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
Ftdi::Context::Private Class Reference

## Public Member Functions
| Private ()
| ~Private ()

## Public Attributes
bool | open
struct ftdi_context * | ftdi
struct usb_device * | dev
std::string | vendor
std::string | description
std::string | serial

## Detailed Description

Definition at line 35 of file ftdi.cpp.

## Constructor & Destructor Documentation

Ftdi::Context::Private::Private | ( |  | ) |
| inline

Definition at line 38 of file ftdi.cpp.

References ftdi, and ftdi_new().

Ftdi::Context::Private::~Private | ( |  | ) |
| inline

Definition at line 44 of file ftdi.cpp.

References ftdi, ftdi_free(), ftdi_usb_close(), and open.

## Member Data Documentation

bool Ftdi::Context::Private::open

Definition at line 52 of file ftdi.cpp.

Referenced by ~Private().

struct ftdi_context* Ftdi::Context::Private::ftdi

Definition at line 54 of file ftdi.cpp.

Referenced by Private(), and ~Private().

struct usb_device* Ftdi::Context::Private::dev

Definition at line 55 of file ftdi.cpp.

std::string Ftdi::Context::Private::vendor

Definition at line 57 of file ftdi.cpp.

std::string Ftdi::Context::Private::description

Definition at line 58 of file ftdi.cpp.

std::string Ftdi::Context::Private::serial

Definition at line 59 of file ftdi.cpp.

The documentation for this class was generated from the following file:

- ftdi.cpp